---
name: Design/Illustrations
slug: illustrations
icon: IconIllustrations
keywords:
  - drawings
  - pictures
---

# Illustrations

The Shopify admin uses a precise illustration style to help merchants quickly and clearly understand how things work across every experience.

<!-- showcasecontent -->

![The illustration of a chair, in simples straight lines, followed by a version with curves and some color, followed by a final version with filled shapes and shadows.](/public_images/design/illustrations/illustrations-intro@2x.png)

<!-- end -->

---

## Principles

<!-- keywords: illustration guidelines, illustration principles, be useful, be consistent, be considerate, be focused -->

### Always be useful

Illustration adds information. It provides context, adds clarity, or leads to the next step. It gives merchants a deeper understanding of what they’re working on.

### Keep it in the family

Illustrations are all part of the same visual family. Inconsistencies lower the overall quality of the experience, and can distract merchants or make them feel like they’re in the wrong place.

### Be considerate

Illustration should understand and support the merchant’s experience. Each illustration needs to feel appropriate for whatever situation it shows up in.

### Stay focused

Each illustration conveys one thing. The story is easy to understand, so merchants intuitively know how to accomplish whatever they came here to do.

---

## Elements of style

<!-- keywords: illustration background color, illustration transparency, illustration blending modes, illustration elements, illustration scaling, style, illustration style -->

<!-- showcasecontent -->

![A color palette and illustrations using the color palette](/public_images/design/illustrations/illustrations-color@2x.png)

### Color

Illustrations use a special set of colors designed to work well in the places where they show up. The palette is limited: individual illustrations use whites, grays, and two or three colors each. Colors are also less saturated than the surrounding UI, so they don’t distract from core interactions.

<!-- end -->

<!-- showcasecontent -->

![Illustrations of a flag, a teapot, a leaf, and various profiles of people of different ethnicities.](/public_images/design/illustrations/illustrations-shape@2x.png)

### Shape

Objects have realistic proportions so they’re easy to recognize. Simple geometric shapes with rounded corners build images that are clear and approachable. Representations of people use more organic shapes.

<!-- end -->

<!-- showcasecontent -->

![An illustration of a laptop and an illustration of shipping boxes separated on a white background](/public_images/design/illustrations/illustrations-space@2x.png)

### Space

The perspective is flat and two-dimensional so the entire area of the illustration is of equal importance. Drop shadows give things subtle depth when necessary. An additional side of an object can be added if things aren’t easily recognizable from a single side.

Each illustration has negative space around it so it feels balanced in the place it lives, and so its visual weight is the same as other illustrations that live in the same places.

<!-- end -->

<!-- showcasecontent -->

![An stylized illustration of a chair with red lines defining its angles, next to an illustration of the profile of a person, with red lines to emphasize where curves are used.](/public_images/design/illustrations/illustrations-line@2x.png)

### Line

Line makes and arranges shapes in the space. All illustrations have smooth lines without texture. Smaller objects have straighter lines, while larger objects can have more detailed, curved lines.

Intersecting and continuous lines are a key element of the admin illustration style, but they aren’t forced. They make a simple illustration feel elegant and visually interesting without being distracting.

<!-- end -->

<!-- showcasecontent -->

![An intricate illustration of a shipping label, followed by an illustration of a sheet with a list of users, followed by a very simple illustration of an URL address bar.](/public_images/design/illustrations/illustrations-detail@2x.png)

### Detail

Illustrations need some detail to make sense, but too much can be noisy. They have the minimum amount of detail necessary to make them feel realistic but still simple. Fine details are rarely smaller than 4px in height or width.

<!-- end -->

---

## Where illustrations live

<!-- keywords: illustration use cases, where to use illustrations, empty states, on-boarding, announcements, progress indicators, common places for illustations, signs to use an illustration -->

There are places where illustrations always appear, and places where they’re used only sometimes.

<!-- showcasecontent -->

![An illustration of scissors cutting a coupon to indicate a page for discount code administration that has no discount codes saved.](/public_images/design/illustrations/illustrations-empty-states@2x.png)

### Empty states

Merchants see an empty state illustration the first time they access a new part of the experience, before they’ve had the chance to do anything there yet. It introduces what they can do here, and sets expectations for what’s ahead.

<!-- end -->
<!-- showcasecontent -->

![An admin homecard with a small illustration next to some text describing how to customize a theme.](/public_images/design/illustrations/illustrations-onboarding@2x.png)

### Onboarding

Onboarding tasks help new merchants set up their store. Illustrations frame what each task is for. And by changing in appearance, they reinforce when a task is complete.

<!-- end -->

<!-- showcasecontent -->

![An illustration celebrating a store anniversary.](/public_images/design/illustrations/illustrations-announcements@2x.png)

### Announcements

Announcements let merchants know about something that might help their business. When the announcement celebrates a major merchant milestone or introduces an important product, illustration helps make it special or noticeable.

<!-- end -->
<!-- showcasecontent -->

![An illustration next to a card talking about Shopify Payments.](/public_images/design/illustrations/illustrations-spot@2x.png)

### Spot illustrations

In some rare instances, unique spot illustrations can be used to achieve a specific goal, like to draw attention to something important on a busy page, or to explain a technical concept.

<!-- end -->

<div class="NextPage">
Next<br/>
<a href="/design/sounds#navigation">Sounds</a>
</div>
