---
name: Legal/License
slug: license
icon: IconGetStarted
keywords:
  - legal
  - license
  - agreement
  - rules
---

# License agreement

## Polaris Design Guidelines License Agreement

Thank you for being a part of the Shopify community.

By accessing or using Shopify’s design system (“**Polaris**”), you agree to the Polaris Design Guidelines License Agreement (“**Agreement**”) with Shopify Inc. and its affiliates (“**we**”, “**our**”, “**us**” or “**Shopify**”). Please read this Agreement carefully, as it is a legally binding agreement. Shopify reserves the right to update and change this Agreement from time to time by posting updates and changes here: https://polaris.shopify.com/legal/license, so please check back for any changes that may impact you.

**1. License**. Subject to the terms of this Agreement, Shopify grants you a limited, worldwide, royalty-free, non-assignable, non-transferable, non-sublicensable, and non-exclusive license to use the Polaris Design Guidelines solely to develop, test, and distribute software applications, websites, and interfaces that interoperate or integrate with Shopify’s hosted commerce platform available via www.shopify.com or any associated websites or other Shopify software (“**Applications**”).

**2. License Restrictions**. You may not use the Polaris Design Guidelines (i) to develop, test, or distribute an external, stand-alone Application (“**External Application**”) unless such External Application is not identical to and is dissimilar and visually distinct from Shopify products and services (including the internal administration page of a Shopify merchant store (“**Shopify Admin**”)), as determined by Shopify in its sole discretion, (ii) to mislead consumers as to Shopify’s sponsorship of, affiliation with, or endorsement of you, your organization, or your Application, and (iii) for any purpose not expressly permitted by this License Agreement. For clarity, any Application that embeds directly inside the Shopify Admin or other Shopify interface that allows for the embedding of Applications (“**Embedded Application**”), as determined by Shopify in its sole discretion, may be visually similar, but not identical, to Shopify products and services. You may not modify, adapt, redistribute, or create derivative works of the Polaris Design Guidelines or any part of the Polaris Design Guidelines.

**3. Ownership of Intellectual Property.** You agree that Shopify owns all legal right, title and interest in and to the Shopify products and services, including Polaris and the Polaris Design Guidelines, including any Intellectual Property Rights inherent therein and related thereto. “Intellectual Property Rights” means any and all rights under patent law, copyright law, trade secret law, trademark law, and any and all other proprietary rights. Shopify reserves all rights not expressly granted to you.

**4. Termination.** Shopify may terminate this Agreement: (a) if you breach any of the terms of this Agreement or (b) if Shopify ceases to make the Polaris Design Guidelines generally available. Either party may terminate this Agreement at any time, with or without cause. Upon termination, your Polaris Design Guidelines license will also terminate. This means that you must cease using the Polaris Design Guidelines and delete all copies of the Polaris Design Guidelines. All terms of this Agreement will survive the termination or expiration of this Agreement, except for your license right granted in Section 1.

**5. No Warranty.** THE POLARIS DESIGN GUIDELINES ARE PROVIDED “AS IS” AND “WITH ALL FAULTS”. SHOPIFY AND ITS THIRD PARTY LICENSORS DISCLAIM ALL REPRESENTATIONS, WARRANTIES AND GUARANTEES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR ANY PURPOSE. SHOPIFY MAKES NO REPRESENTATION, WARRANTY OR GUARANTEE RELATED TO RELIABILITY, ACCURACY, OR COMPLETENESS OF THE POLARIS DESIGN GUIDELINES OR THAT YOUR USE OF THE POLARIS DESIGN GUIDELINES WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE. THE POLARIS DESIGN GUIDELINES MAY NOT MEET YOUR REQUIREMENTS OR EXPECTATIONS.

**6. Limitation of Liability.** IN NO EVENT SHALL SHOPIFY BE LIABLE FOR ANY LOSS OF USE, LOST DATA, FAILURE OF SECURITY MECHANISMS, INTERRUPTION OF BUSINESS, OR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING LOST PROFITS OR LOST DATA), REGARDLESS OF THE FORM OF ACTION, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF INFORMED OF THE POSSIBILITY OF SUCH DAMAGES IN ADVANCE. SHOPIFY SHALL NOT BE LIABLE FOR ANY DAMAGES THAT YOU MAY SUFFER IN CONNECTION WITH THE PERFORMANCE OF THE POLARIS DESIGN GUIDELINES. NOTWITHSTANDING ANY OTHER PROVISION OF THIS AGREEMENT, SHOPIFY’S ENTIRE LIABILITY TO YOU UNDER THIS AGREEMENT SHALL NOT EXCEED FIVE HUNDRED US DOLLARS (\$500). THE ABOVE WARRANTY DISCLAIMERS AND LIMITATIONS OF LIABILITY APPLY TO THE MAXIMUM EXTENT PERMITTED BY LAW, BUT YOU MAY HAVE OTHER STATUTORY RIGHTS, WHICH THIS AGREEMENT CANNOT CHANGE. The limitations in this Section 6 will survive and apply even if any limited remedy specified in this Agreement is found to have failed of its essential purpose.

**7. Applications; Indemnification**. You are solely responsible for your Applications, your use of Polaris Design Guidelines, and your compliance with this Agreement. You agree to indemnify, defend and hold Shopify and its affiliates and their respective directors, officers, employees, successors, assigns, insurers, independent contractors and agents harmless from and against any and all claims, costs, damages, losses, liabilities and expenses (including reasonable attorneys’ fees and costs) arising out of any claim relating to (a) your Applications, (b) your use of the Polaris Design Guidelines or (c) your breach of this Agreement. Shopify may participate in defending the claim at its own expense. You may not settle any claim without Shopify’s prior written consent. If you distribute your Applications to others, you agree to require the end users to agree that Shopify has no liability, warranty, or support or other obligations related to your Applications.

**8. General**.

1. **Severability.** If any provision of this Agreement is, for any reason, held to be invalid, illegal or unenforceable in any respect, then such invalidity, illegality or unenforceability will not affect any other provision of this Agreement, and this Agreement will be construed as if such invalid, illegal or unenforceable provision had never been contained within this Agreement.
1. **No Waiver.** The failure of either party to insist upon or enforce strict performance by the other party of any provision of this Agreement or to exercise any right under this Agreement shall not be construed as a waiver or relinquishment to any extent of such party’s right to assert or rely upon any such provision or right in that or any other instance; rather, the same shall be and remain in full force and effect. Each waiver shall be set forth in a written instrument signed by the waiving party.
1. **Entire Agreement.** This Agreement, including all guidelines and other documents linked or otherwise incorporated or referenced herein, sets forth the entire agreement and supersedes any and all prior agreements, written or oral, of the parties with respect to the subject matter hereof (including any prior version of this Agreement).
1. **Assignment.** All the terms and provisions of this Agreement shall be binding upon and inure to the benefit of the parties to the Agreement and to their respective heirs, successors, permitted assigns and legal representatives. Shopify shall be permitted to assign this Agreement without notice to or consent from you. You shall have no right to assign or otherwise transfer the Agreement, or any of your rights or obligations hereunder, to any third party without Shopify’s prior written consent, to be given or withheld in Shopify’s sole discretion.
1. **Applicable Law.** This Agreement will be governed by and construed in accordance with the laws of the province of Ontario, excluding conflicts of law rules and principles. Each party submits to the personal and exclusive jurisdiction of the federal or state courts located in Ottawa, Ontario. Nothing in this Agreement limits Shopify’s rights to seek equitable relief.

Last updated: October 24, 2018
